GroovyLangLexer (Groovy 3.0.9)

Package org.apache.groovy.parser.antlr4

## Class GroovyLangLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<Integer,​org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.apache.groovy.parser.antlr4.AbstractLexer
      - - org.apache.groovy.parser.antlr4.GroovyLexer
        - - org.apache.groovy.parser.antlr4.GroovyLangLexer

- All Implemented Interfaces:
    `org.antlr.v4.runtime.TokenSource`, `SyntaxErrorReportable`

      public class GroovyLangLexer
      extends GroovyLexer

  The lexer for Groovy programming language, which is based on the lexer generated by Antlr4

- - ### Field Summary

    - ### Fields inherited from class org.apache.groovy.parser.antlr4.GroovyLexer

      `_ATN, _serializedATN, ABSTRACT, ADD, ADD_ASSIGN, AND, AND_ASSIGN, ARROW, AS, ASSERT, ASSIGN, AT, BITAND, BITNOT, BITOR, BooleanLiteral, BREAK, BuiltInPrimitiveType, CapitalizedIdentifier, CASE, CATCH, channelNames, CLASS, COLON, COMMA, CONST, CONTINUE, DEC, DEF, DEFAULT, DIV, DIV_ASSIGN, DO, DOLLAR_SLASHY_GSTRING_MODE, DOT, DQ_GSTRING_MODE, ELLIPSIS, ELSE, ELVIS, ELVIS_ASSIGN, ENUM, EQUAL, EXTENDS, FINAL, FINALLY, FloatingPointLiteral, FOR, GE, GOTO, GSTRING_PATH_MODE, GSTRING_TYPE_SELECTOR_MODE, GStringBegin, GStringEnd, GStringPart, GStringPathPart, GT, IDENTICAL, Identifier, IF, IMPLEMENTS, IMPORT, IN, INC, INSTANCEOF, IntegerLiteral, INTERFACE, LBRACE, LBRACK, LE, LPAREN, LSHIFT_ASSIGN, LT, METHOD_POINTER, METHOD_REFERENCE, MOD, MOD_ASSIGN, modeNames, MUL, MUL_ASSIGN, NATIVE, NEW, NL, NOT, NOT_IDENTICAL, NOT_IN, NOT_INSTANCEOF, NOTEQUAL, NullLiteral, OR, OR_ASSIGN, PACKAGE, POWER, POWER_ASSIGN, PRIVATE, PROTECTED, PUBLIC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACE, RBRACK, REGEX_FIND, REGEX_MATCH, RETURN, RollBackOne, RPAREN, RSHIFT_ASSIGN, ruleNames, SAFE_CHAIN_DOT, SAFE_DOT, SEMI, SH_COMMENT, SLASHY_GSTRING_MODE, SPACESHIP, SPREAD_DOT, STATIC, STRICTFP, StringLiteral, SUB, SUB_ASSIGN, SUPER, SWITCH, SYNCHRONIZED, TDQ_GSTRING_MODE, THIS, THREADSAFE, THROW, THROWS, tokenNames, TRAIT, TRANSIENT, TRY, UNEXPECTED_CHAR, URSHIFT_ASSIGN, VAR, VOCABULARY, VOID, VOLATILE, WHILE, WS, XOR, XOR_ASSIGN`

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

    - ### Fields inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

      `NO_OFFSET`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroovyLangLexer​(Reader reader)` |
    `GroovyLangLexer​(org.antlr.v4.runtime.CharStream input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `recover​(org.antlr.v4.runtime.LexerNoViableAltException e)` |
    `protected void` | `rollbackOneChar()` | just a hook, which will be overrided by GroovyLangLexer

    - ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyLexer

      `action, emit, enterParenCallback, exitParenCallback, getChannelNames, getErrorColumn, getErrorLine, getGrammarFileName, getModeNames, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, isErrorIgnored, popMode, sempred, setErrorIgnored`

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, pushMode, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip, validateInputStream`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `addErrorListener, getATN, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

      `genPositionInfo, genPositionInfo, require, require, require, require, require, require, throwSyntaxError, throwSyntaxError`

- - ### Constructor Detail

    - #### GroovyLangLexer

          public GroovyLangLexer​(Reader reader)
                          throws IOException

      Throws:
        `IOException`

    - #### GroovyLangLexer

          public GroovyLangLexer​(org.antlr.v4.runtime.CharStream input)

  - ### Method Detail

    - #### recover

          public void recover​(org.antlr.v4.runtime.LexerNoViableAltException e)

      Overrides:
        `recover` in class `org.antlr.v4.runtime.Lexer`

    - #### rollbackOneChar

          protected void rollbackOneChar()

      Description copied from class: `GroovyLexer`
      just a hook, which will be overrided by GroovyLangLexer
      Overrides:
        `rollbackOneChar` in class `GroovyLexer`